# Achievable Sum Rates of Half- and Full-Duplex Bidirectional OFDM Communication Links

###### Abstract

While full-duplex (FD) transmission has the potential to double the system capacity, its substantial benefit can be offset by the self-interference (SI) and non-ideality of practical transceivers. In this paper, we investigate the achievable sum rates (ASRs) of half-duplex (HD) and FD transmissions with orthogonal frequency division multiplexing (OFDM), where the non-ideality is taken into consideration. Four transmission strategies are considered, namely HD with uniform power allocation (UPA), HD with non-UPA (NUPA), FD with UPA, and FD with NUPA. For each of the four transmission strategies, an optimization problem is formulated to maximize its ASR, and a (suboptimal/optimal) solution with low complexity is accordingly derived. Performance evaluations and comparisons are conducted for three typical channels, namely symmetric frequency-flat/selective and asymmetric frequency-selective channels. Results show that the proposed solutions for both HD and FD transmissions can achieve near optimal performances. For FD transmissions, the optimal solution can be obtained under typical conditions. In addition, several observations are made on the ASR performances of HD and FD transmissions.

## I Introduction

Full-duplex wireless communication (FDWC), which allows simultaneous transmission and reception (Tx/Rx) in the same frequency band [1, 2, 3, 4, 5], have attracted increasing attention recently due to the potential of doubling the spectrum efficiency. Recent research has considered and demonstrated the feasibility of FDWC in practice [1, 2, 3, 4, 5]. One of the most critical challenges of FDWC is to cancel the self-interference (SI) from a local transmitter to a local receiver [1, 6]. For example, a typical transmission power of WiFi signals is about 20 dBm (100 mW), which may lead to significant SI far above the noise floor dBm [7]. Thus, in FDWC, without SI cancellation, the bit-error-rate (BER) performance of wireless links, which is determined by the signal-to-interference-plus-noise ratio (SINR), will dramatically deteriorate.

There are a number of existing works on the SI cancelation. These works basically exploit antenna cancelation, (analog) radio-frequency (RF) cancellation and (digital) baseband cancellation, or a multi-stage approach with the combination of them. For instance, Duarte et al. proposed a RF cancellation scheme [1, 3, 4], where an extra transmit RF chain is used to generate a reference RF signal for SI cancelation in analog domain. A similar approach was also adopted in [8]. Jain et al. proposed a different scheme with balun cancelation in RF [5], which uses signal inversion through a balun circuit. Choi et al. proposed an antenna cancellation scheme by making use of two transmit antennas with distances and from the receive antenna, where the distance difference, , is half-wavelength [9]. Offsetting the two transmit antennas by half-wavelength causes for a destructive addition of their signals and canceling them. In [10], the architectures of two symmetric transmit antennas with respect to (w.r.t.) the receive antenna (or two symmetric receive antennas w.r.t. the transmit antenna) have been proposed to cancel SI. These results also show that it is hard to cancel the SI at a sufficient level using only antenna cancelation, RF cancelation or baseband cancelation, and a combination of them might be necessary in practice [1, 3, 4, 5, 9, 10]. A recent work in [7] shows that a full duplex radio with the combination approach is able to cancel at a level of 110 dB SI. Moreover, in the regime of multiple-input multiple-output (MIMO) FD systems, precoding and beamforming are also exploited to mitigate SI [11, 12, 13, 14, 15].

In addition to SI, FDWC also faces another challenge under non-ideal transceiver implementations. For a practical communication link, the non-ideality comes from a cascaded effect containing both transmitter and receiver imperfections [16], such as IQ imbalances, phase noise, non-linearity of amplifiers and so on [2, 17]. Due to non-ideality, the actual constellation points are deviated from their ideal locations, and this deviation is usually quantified by a measure called error vector magnitude (EVM) level [16], which is extensively used in many standards [18]. In FDWC, as the SI is usually much stronger than the received information-bearing signal from a remote transmitter, the EVM noise is significant and cannot be neglected. For tractability, in this paper, we model the EVM noise as zero-mean Gaussian distributed [16, 19, 20, 21, 22].

By taking the SI and transceiver non-ideality into consideration, we study the achievable sum rate (ASR) of FDWC, and compare it with that of half-duplex (HD) transmission in this paper. Since orthogonal frequency division multiplexing (OFDM) is widely adopted in current advanced communications [23], we consider it for the multiplexing scheme in this paper. There are existing related works on the achievable rate of FDWC. In [24, 25, 26], (weighted) sum rate maximization was studied by optimizing power allocation and precoding matrix in MIMO FD systems, where EVM noise was not considered. In [27], the regime in which a practical FD systems can achieve higher rates than an equivalent HD system was analytically studied, with hardware and implementation imperfections, including low-noise amplifier (LNA) noise figure, quantization noise, and phase noise, taken into account. In [21] and [22], the non-ideality effects on the sum rate performances of more general MIMO FD bidirectional and relay links were investigated. In [28], the rate region of an FD single-carrier system was studied by taking the EVM noise effect into account. However, these works [27, 21, 22, 28] are based on the single-carrier modulation. In [16], one-end rate regions of HD and FD bidirectional link were investigated with OFDM modulation, where both SI and EVM noise were considered. Based on [16], we further consider ASR of the two ends in this paper.

It is noteworthy that the maximization of ASR needs both time allocation over the two nodes and the energy allocation over the two nodes and all the sub-carriers. The optimization problems are challenging because of the complicated objective functions and a large number of variables. Thus, they can hardly be solved by the conventional convex-optimization methods. The ASR optimization problems under consideration differ from those in [16]. Firstly, the objective is different, i.e., ASR is optimized in this paper, while one-end achievable rate is optimized in [16]. Secondly, a sum energy constraint is adopted in this paper, while individual energy constraints were adopted in [16]. As a consequence, in [16] the monotonicity of the one-end achievable rate versus the allocated time and energy can be exploited to find optimal/suboptimal solutions, while in this paper the ASR does not have monotonicity versus the time and energy due to the total time and energy constrains, which makes the problems difficult. On the other hand, the problems under consideration also differ from conventional time allocation for TDD systems [29] and power allocation for OFDM systems [30, 31], because joint time and energy allocation with the effects of EVM and SI is considered in this paper, which makes the problem more challenging and difficult to solve.

The contributions of this paper are two-fold. Firstly, we formulate optimization problems for the four typical transmission strategies, namely HD with uniform power allocation (UPA), HD with non-UPA (NUPA), FD with UPA, and FD with NUPA, and propose an approach to solve the four optimization problems, which first deals with a partial Lagrangian function without taking into account the inequality constraints and formulate an equivalent problem of the original problem, and then solves the new problem with appropriate numerical methods. The proposed approach greatly lowers the search complexity compared with the exhaustive grid search method, and turns out to be effective in solving this category of optimization problems with time and energy allocations, especially when the number of variables is large. Additionally, we conduct performance evaluations and comparisons for the four transmission strategies under three typical channel conditions, namely symmetric frequency-flat/selective and asymmetric frequency-selective channels. Results show that the proposed solutions for both HD and FD transmissions can achieve near optimal performances. For FD transmissions, the optimal solution can be obtained under typical conditions. In addition, several observations are made on the ASR performances of HD and FD transmissions.

The rest of this paper is organized as follows. In Section II, system and channel models for HD and FD bidirectional single-antenna OFDM links, as well as the EVM noise model, are established. In Section III, optimization problems for HD and FD bidirectional links with UPA and NUPA strategies are formulated and solved, respectively. In Section IV, performance evaluations and comparisons are conducted under different channel settings. Section V summarizes the paper.

## Ii System and Channel Models

In this paper, we consider the same system and channel models
as those in [16]. There are two peer nodes, namely Node 1 and Node 2, with a single antenna in our system, and both point-to-point bidirectional HD and FD OFDM links are considered between these two nodes [16, 1, 5, 7]. For the HD OFDM link, TDD based resource sharing is adopted to realize bidirectional transmission. While for the FD OFDM link, bidirectional transmission is realized at the same time slot and frequency band. For convenience, in this paper we call the link from Node 1 to Node 2 a forward link, and the link from Node 2 to Node 1 a backward link^{1}^{1}1It is noteworthy that a forward (backward) link usually refers to the link from a base station to a mobile station (reverse), but in this paper, a forward (backward) link may also refers to the link from an arbitrary peer node to another (reverse) in a non-infrastructured network..

In the OFDM links under consideration, let , , , , , and denote the transmitted original signal at the digital baseband, the EVM noise to capture the transceiver non-ideality, the final transmitted signal, the channel gain, the thermal noise, and the received signal on the -th sub-carrier, respectively. Thus, we have , , where is the number of sub-carriers. Here, we model as a zero-mean additive Gaussian noise. Specially, in an FD transceiver chain we add at the receiver as the SI, which will be further discussed later. Define the signal-to-EVM power ratio (SER) as

(1) |

where represents the expectation operation.

As mentioned, we consider an HD OFDM bidirectional link using a TDD based resource sharing scheme. In this scheme an overall time duration is normalized to be 1, and the forward signals are transmitted from Node 1 to Node 2 during period , while the backward signals are transmitted from Node 2 to Node 1 during period , where . The received signals at two nodes over the -th sub-carrier are respectively given by

(2) |

and

(3) |

where subscript is the node index, is the channel coefficient of the link from node to node , is the transmitted signal with a normalized power of 1, and is the energy consumed on the -th sub-carrier.

In addition, as in [16], we consider an FD OFDM bidirectional link with an overall time period normalized to be 1. The FD system configuration does not change during the whole period. The FD transceivers at the two nodes transmit signals to and receive signals from the other node simultaneously on the same time slot and carrier frequency. The promising 3-stage SI cancellation is adopted in the FD transceivers, which includes antenna isolation (cancellation), RF cancellation and baseband cancellation. In the antenna isolation and RF cancellation stages, both the SI and EVM noise are mitigated. We define as the equivalent channel gain capturing the effect of the remaining SI and EVM [16]. In the digital baseband cancellation stage only the remaining SI can be further reduced to some degree, while the remaining EVM cannot. Hence, we define the attenuate factor to model the function of this stage for SI cancellation. Accordingly, the received signals at the two nodes over the -th sub-carrier are respectively given by

(4) | ||||

and

(5) | ||||

It is noteworthy that we consider the two nodes involved in the bidirectional link as a whole, which is different from [16]. Therefore, based on the system and channel models, we can optimize the ASR of the HD and FD OFDM bidirectional links with different power allocation strategies over sub-carriers, i.e., UPA and NUPA, under a total energy constraint.

## Iii Optimization of Achievable Sum Rate

In this section, we formulate the four optimization problems to maximize the ASR under the total time and energy constraints. The challenges of these problems are: (i) the objective functions are complicated and basically not convex/concave; (ii) there are inequality (non-negative) constraints on the time and energy constraints in addition to the total time and energy constraints; (iii) the number of energy variables is large for the NUPA transmission strategies. To solve these problems, there are two possible candidates in general, namely the exhaustive grid search and the interior-point method [32]. The exhaustive grid search directly performs grid search on the independent variables and finds the best value set of the variables. When the step length is set sufficiently small, the performance of the exhaustive grid search can approach the optima, whereas the search complexity will be very high. Additionally, although the interior-point method may be also feasible to obtain a suboptimal solution for a non-convex problem, a linear equation array with more than variables need to be solved in each iteration [32], where is the number of original optimization variables. Hence, for the NUPA transmission the complexity of the interior-point method would be also very high.

In this paper, we propose a low-complexity approach to solve these problems^{2}^{2}2The optimization problem for the FD-UPA transmission is simple; thus it does not need to adopt the proposed approach.. In particular, We deal with a partial Lagrangian function without taking into account the inequality constraints first, and then formulate an equivalent problem of the original problem to use the Lagrangian function as the objective function. Finally we solve the new problem by establishing an equation set with the first-order condition of an optima and solving the equation set with low-complexity numerical search methods.

### Iii-a ASR of HD Bidirectional Link with UPA

#### Iii-A1 Problem Formulation

In this subsection, we study the maximization of the ASR of an HD bidirectional link with UPA. We assume that the consumed energy on the -th sub-carrier is for the forward link and for the backward link. Therefore, the achievable rates of the forward link and backward link, respectively, are

(6) |

and

(7) |

where and are the noise powers on each sub-carrier w.r.t. the power of pure signals excluding the EVM noise for the forward and backward links, respectively. Accordingly, the ASR of the HD bidirectional link is given by

(8) |

For convenience, we define

(9) | ||||

and rewrite the sum rate function as

(10) | ||||

To achieve the maximum ASR, we formulate an optimization problem as

(11) | ||||

where is the maximum total energy consumed by Node 1 and Node 2, and the fact has been exploited that the maximum ASR is achieved only when all the energy is allocated.

#### Iii-A2 Solution of the Problem

As this problem is clearly non-convex and complicated, we are interested in finding a suboptimal solution with three steps.

*Step 1:* Let us first deal with a partial Lagrangian function, i.e., we don’t take into account the inequality constraints in the formulation of the Lagrangian function, but we will take care of them when minimizing the partial Lagrangian function. Thus, the partial Lagrangian function is given by

(12) | ||||

where and are Lagrange multipliers.

*Step 2:* We formulate a new problem, which is equivalent to the original problem in (11), to minimize the partial Lagrangian function as follows.

(13) | ||||

*Step 3:* We solve (13) by formulating an equation set and proposing a numerical method to solve the equation set.

At a local optima, we have

(14) |

Consequently, we can establish two equations as follows:

(15) |

(16) |

where

(17) |

(18) |

(19) | ||||

and

(20) | ||||

For convenience, let and . Then, (15) and (16) are rewritten as

(21) |

where

(22) | ||||

and

(23) | ||||

where is exploited to simplify the expression of .

The remaining task is to solve this transcendental equation array, which is difficult and cannot be directly solved. Hence, we choose to use the Newton’s method (also known as Newton-Raphson method) with backtracking line search [33, Chapter 9.2], which has been shown to be effective and fast to solve both optimization problems [33, Chapter 9.5] and transcendental equation arrays [34]. For the Newton’s method, in each iteration the intersection point of the tangent planes of the functions ( and ) at the current approximation with the zero plane () is treated as a new approximation [34]. Hence, we need to obtain the descent direction as shown in (24). To realize the backtracking line search, we define a function . The solution to (21) is in fact the minima of . Hence, the step length and the stopping criterion can be defined with . The algorithm is described as Algorithm 1.

(24) |

Using Algorithm 1, we finally find and to optimize the sum rate . Taking account of the inequality constraints on the time and energy variables, we are able to find a local optimal solution of time and energy allocations as

(25) |

where .

### Iii-B ASR of HD Bidirectional Link with NUPA

#### Iii-B1 Problem Formulation

In this subsection, we optimize the ASR of an HD bidirectional link with NUPA. In this case, different powers are allocated on different sub-carriers. The achievable rates of the forward and backward links in the HD case are shown in (27) and (28), respectively, where . Consequently, the sum rate of the whole system can be written as

(26) |

(27) |

(28) |

To achieve the maximum ASR, the following optimization problem can be formulated:

(29) | ||||

#### Iii-B2 Solution of the Problem

It is clear that this problem is again non-convex. Similar to the UPA case in the previous subsection, we are interested in finding a suboptimal solution with three steps.

*Step 1:* Let us first deal with a partial Lagrangian function, which is given by

(30) | ||||

where is the Lagrange multiplier of time constraint and is the Lagrange multiplier of energy constraint .

*Step 2:* We formulate a new problem, which is equivalent to the original problem in (29), to minimize the partial Lagrangian function as follows.

(31) | ||||

*Step 3:* We solve (31) by formulating an equation set and proposing a numerical method to solve the equation set.

At a local optima, we have

(32) |

Consequently, we obtain equations

(33) |

and

(34) |

where and are computed as (35) and (36), respectively, while and are computed as (37) and (38), respectively.

The remaining task is to solve these equations. Note that these equations cannot be divided into small equation arrays, because all the energy variables are coupled in and . Although it may be feasible to use the Newton’s method to solve these equations, a linear equation array analogous to (24) needs to be solved in each iteration. When is big, the approach will be impractical. Fortunately, as we can see from (35) to (38), given , the other variables can be found without solving the large-scale equation array. Hence, we propose a method of grid search on within . For each value of within , we have , and we can further obtain and by the following process.

(35) |

(36) |

(37) |

(38) |

The derivatives in (35) and (36) can be rewritten into quadratic equations, and thus we can solve and provided that and are given. For instance, regarding to , we have

(39) |

where

(40) | ||||

It is easy to verify that this quadratic equation has surely two solutions. When , there are a positive and negative solution, respectively, while when , there are two non-positive solutions. Considering that , the bigger one, or zero if the bigger one is negative, is chosen as the solution for , i.e.,

(41) |

can also be found by a similar approach. It can be observed that when is given, and are functions of , and they monotonically increase as decreases according to (35) and (36). Thus, can be found by the bisection method to meet the energy constraint, as shown in Algorithm 2.

### Iii-C ASR of FD Bidirectional Link with UPA

#### Iii-C1 Problem Formulation

When utilizing the UPA strategy over sub-carriers on FD bidirectional link, the consumed energy on the -th sub-carrier becomes for the forward link and for backward link. It is noted that there is no time allocation for the FD transmission. Therefore, the forward and backward rates can be derived as (44) and (45), respectively. Accordingly, the ASR of the whole transmission system becomes

(42) |

To achieve the maximum ASR, we must solve the optimization problem as follows:

(43) | ||||

(44) |

(45) |

#### Iii-C2 Solution of the Problem

Apparently, (43) is also non-concave when observing from the expressions. However, under typical conditions, i.e., the thermal noise power is much lower than the EVM noise power, the SINR is much higher than 0 dB, and the channel is symmetric, an optimal solution of (43) can be (approximately) obtained (see Appendix A), which is . Under other conditions, however, an optimal solution of (43) is difficult to obtain; thus, numerical methods can be considered instead to find a suboptimal solution. Since there are only two variables for this problem, the Newton’s method with backtracking line search, which is referred to [33, Chapter 9.5], can be adopted. Details are not presented for conciseness. It is noted that if the typical conditions are satisfied, the solution found by the Newton’s method is optimal; otherwise it may be not. This is verified in Figs. 1, 3 and 5, where we can see that the achievable rates of the two nodes are the same at the searched points in Figs.